Subject: Re: Notice of intention to release Perl module specific to Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "Soren Andersen" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 12 Nov 2002 22:08:08 +0100

Hallo Soren,

Am Dienstag, 12. November 2002 um 08:04 schriebst du:

> [posted today to [email-masked]; posted to [email-masked]
> (via Gmane) in order to try to get Cygwin's worthies in the loop].

> Subject: Where it runs or what it Does?? (RFC)
> Date: Mon, 11 Nov 2002 17:56:00 -0500

[...]

> One "trouble" is that conceptually the persons involved with perl on
> Cygwin don't all want any sort of Cygwin:: namespace and don't really
> agree that there's anything unusual about Cygwinperl that differentiates
> it from any generic *nix perl. I know better: on Cygwin, there is always
> going to be more than one canonical-ly-correct way to refer to a file by
> path name (!!): 

[...]

> So my present analysis is that my module belongs in a base namespace of 
> "Filesys::" and maybe could be named "CygwinPaths"? I think it would keep 
> the maintainer of Cygwin Perl happy -- or should -- if named like this.

> What do YOU think?

If you like, why not introduce a namespace CYGWIN:: or Cygwin::, e.g.
there are several modules you didn't mention which are supposed to run
*for* or *with* a specific application like Apache:: or XMail:: or
PLP:: or YAML::, so why not introduce the namespace Cygwin:: (if you
look at Cygwin like just another application).

I would be perfectly happy with a Cygwin:: namespace!

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/